$(function(){
        function newrezsize(){
            var window_width = $(window).width();
            var window_height = $(window).height();
            $('.a-header').height(window_height);
            $('.a-header .bgimg img').height(window_height).width(window_width);
        }
        newrezsize();
        $(window).resize(function(){
            newrezsize();
        });

        var data = {imgs: [], id: 0};
        $('#content_size').find('img').each(function (i, v) {
            $(this).data('index', i);
            data.imgs.push(this.src);
        })
        $('#content_size').find('img').on('click', function () {
            var params = $.extend({}, data);
            params.id = +$(this).data('index');
            location.href = 'cloudjs://photoPreview?params=' + JSON.stringify(params);
        });
    });
    /**
     * 调整字体大小
     * @type {*|jQuery}
     */
    function smallSize(){
        $("#content_size").css("font-size", "16px");
    }

    function middleSize(){
        $("#content_size").css("font-size", "18px");
    }

    function bigSize(){
        $("#content_size").css("font-size", "20px");
    }

    function biggerSize(){	
        $("#content_size").css("font-size", "22px");
    }
    
    function praised()
    {
        $("#praise").removeClass("praise").addClass("praised");
    }
    function unpraise()
    {
        $("#praise").removeClass("praised").addClass("praise");
    }
    function collected()
    {
        $("#collect").removeClass("collect").addClass("collected");
    }
    function uncollect()
    {
        $("#collect").removeClass("collected").addClass("collect");
    }